﻿namespace DocuMed.Domain.Dtos.SmallDtos;

public class ApplicationUserSDto : BaseDto<ApplicationUserSDto,ApplicationUser>
{
    public string FirstName { get; set; } = string.Empty;
    public string LastName { get; set; } = string.Empty;
    public string UserName { get; set; } = string.Empty;
    public string Email { get; set; } = string.Empty;
    public string PhoneNumber { get; set; } = string.Empty;
    public bool PhoneNumberConfirmed { get; set; }
    public string NationalId { get; set; } = string.Empty;
    public string Section { get; set; } = string.Empty;
    public DateTime BirthDate { get; set; }
    public Gender Gender { get; set; }
    public SignUpStatus SignUpStatus { get; set; }
    public Guid UniversityId { get; set; }
}