﻿namespace DocuMed.Domain.Entities.Patient;
[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class Patient 
{
    public string FirstName { get; internal set; } = string.Empty;
    public string LastName { get; internal set; } = string.Empty;
    public string FatherName { get; internal set; } = string.Empty;
    public string NationalId { get; internal set; } = string.Empty;
    public int Age { get; internal set; }
    public DateTime BirthDate { get; internal set; }
}