﻿namespace DocuMed.Domain.Dtos.LargDtos;

public class MedicalHistoryLDto : BaseDto<MedicalHistoryLDto,MedicalHistory>
{
    public string ChiefComplaint { get; set; } = string.Empty;
    public string Section { get; set; } = string.Empty;

    public string FirstName { get; set; } = string.Empty;
    public string LastName { get; set; } = string.Empty;
    public string FatherName { get; set; } = string.Empty;
    public string NationalId { get; set; } = string.Empty;
    public int Age { get; set; }
    public DateTime BirthDate { get; set; }

    public string PresentIllnessDetail { get; set; } = string.Empty;
    public string PastDiseasesHistoryDetail { get; set; } = string.Empty;
    public string PastSurgeryHistoryDetail { get; set; } = string.Empty;
    public string FamilyHistoryDetail { get; set; } = string.Empty;
    public string AllergyDetail { get; set; } = string.Empty;
    public string DrugHistoryDetail { get; set; } = string.Empty;
    public string AddictionHistoryDetail { get; set; } = string.Empty;
    public string SystemReviewDetail { get; set; } = string.Empty;
    public string VitalSignDetail { get; set; } = string.Empty;


    public int SystolicBloodPressure { get; set; }
    public int DiastolicBloodPressure { get; set; }
    public int PulseRate { get; set; }
    public int SPO2 { get; set; }
    public int Temperature { get; set; }

    public List<MedicalHistoryAnswerSDto> Answers { get; set; } = new();
}